#!/bin/sh

FILE=/tmp/spamstats.tmp


AVERAGE_SCORE=`grep "max clean size = " $FILE | awk -F = {'print $3'}| awk -F \) {'print $1'}`

SIZE=`echo $AVERAGE_SCORE|awk {'print $1'}`
UNIT=`echo $AVERAGE_SCORE|awk {'print $2'}`

if [ -z $UNIT ]; then
  exit 0
fi

if [ $UNIT = "kbytes" ]; then
  /usr/bin/expr $SIZE \* 1024
  exit 0
fi

if [ $UNIT = "Mbytes" ]; then
  /usr/bin/expr $SIZE \* 1024 \* 1024
  exit 0
fi

if [ $UNIT = "Gbytes" ]; then
  /usr/bin/expr $SIZE \* 1024 \* 1024 \* 1024
  exit 0
fi

echo $SIZE
